AddCSLuaFile()

local light_table = {
	ModernLights = false, -- грубо говоря, ксенон или старые фары. True - ксенон, false - старые
	L_HeadLampPos = Vector(-29,92,31.7), -- рассположение обычных фар (левых - L)
	L_HeadLampAng = Angle(180,-90,0), -- угол поворота фар

	R_HeadLampPos = Vector(29,92,31.7), -- рассположение обычных фар (правых - R)
	R_HeadLampAng = Angle(180,-90,0), -- угол поворота фар

	L_RearLampPos = Vector(28,-111,31.5), -- расположение задних фар
	L_RearLampAng = Angle(0,-90,0), -- угол поворота фар

	R_RearLampPos = Vector(-28,-111,31.5), -- расположение задних фар
	R_RearLampAng = Angle(0,-90,0), -- угол поворота фар

	Headlight_sprites = { -- Обычные фары
	{pos =  Vector(24,90,29.65),size = 30,material="sprites/light_ignorez"},
	{pos =  Vector(26.2,89,29.65),size = 30,material="sprites/light_ignorez"}, -- pos = позиция. Vector(ширина, длина, высота), size = размер, color = Color(255,255,255,255) - цвет.Color(R,G,B, Alpha) 
	{pos =  Vector(28,87,29.65),size = 30,material="sprites/light_ignorez"},
	{pos =  Vector(-24,90,29.65),size = 30,material="sprites/light_ignorez"},
	{pos =  Vector(-26.2,89,29.65),size = 30,material="sprites/light_ignorez"},
	{pos =  Vector(-28,87,29.65),size = 30,material="sprites/light_ignorez"},
	
	{pos =  Vector(33.1,84.27,29.78),size = 30,material="sprites/light_ignorez"},
	{pos =  Vector(-33.1,84.27,29.78),size = 30,material="sprites/light_ignorez"},

	},
	Headlamp_sprites = { -- дальние
		{pos =  Vector(26.2,89,29.65),size = 40,material="sprites/light_ignorez"},
		{pos =  Vector(-26.2,89,29.65),size = 40,material="sprites/light_ignorez"},
	},
	Rearlight_sprites = { -- задние фары
		{pos = Vector(19.37,-92.7,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(21.37,-92.5,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(23.37,-92.3,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(25.37,-92.1,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(27.37,-91.8,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(29.37,-91.1,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(31.37,-90.3,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(33.37,-89.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(34.5,-87.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(35.37,-85.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(36.1,-83.4,35.64),size = 25,color=Color(255,70,0,150)},
		
		{pos = Vector(-19.37,-92.7,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-21.37,-92.5,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-23.37,-92.3,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-25.37,-92.1,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-27.37,-91.8,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-29.37,-91.1,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-31.37,-90.3,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-33.37,-89.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-34.5,-87.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-35.37,-85.4,35.64),size = 25,color=Color(255,70,0,150)},
		{pos = Vector(-36.1,-83.4,35.64),size = 25,color=Color(255,70,0,150)},
	},
	Brakelight_sprites = { -- тормозные огни
		{pos = Vector(19.37,-92.7,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(21.37,-92.5,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(23.37,-92.3,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(25.37,-92.1,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(27.37,-91.8,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(29.37,-91.1,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(31.37,-90.3,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(33.37,-89.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(34.5,-87.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(35.37,-85.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(36.1,-83.4,35.64),size = 20,color=Color(255,70,0,150)},
		
		{pos = Vector(-19.37,-92.7,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-21.37,-92.5,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-23.37,-92.3,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-25.37,-92.1,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-27.37,-91.8,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-29.37,-91.1,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-31.37,-90.3,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-33.37,-89.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-34.5,-87.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-35.37,-85.4,35.64),size = 20,color=Color(255,70,0,150)},
		{pos = Vector(-36.1,-83.4,35.64),size = 20,color=Color(255,70,0,150)},
		
		{pos = Vector(0,-80,60),size = 15,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(1,-80,60),size = 13,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(2,-80,60),size = 12,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(3,-80,60),size = 11,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(4,-80,60),size = 10,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(-1,-80,60),size = 13,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(-2,-80,60),size = 12,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(-3,-80,60),size = 11,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		{pos = Vector(-4,-80,60),size = 10,color=Color(255,70,0,150),OnBodyGroups={[6]={0,1,3}}},
		
		{pos = Vector(0,-80,59.5),size = 15,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(1,-80,59.5),size = 14,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(2,-80,59.4),size = 12,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(3,-80,59.2),size = 10,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(-1,-80,59.5),size = 14,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(-2,-80,59.4),size = 12,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
		{pos = Vector(-3,-80,59.2),size = 10,color=Color(255,70,0,150),OnBodyGroups={[6]={2}}},
	},
	Reverselight_sprites = { -- фары заднего хода
		{pos = Vector(20.5,-92,38.65),size = 20},
		{pos = Vector(23,-91.7,38.65),size = 20},
		{pos = Vector(25.5,-91,38.65),size = 20},
		
		{pos = Vector(-20.5,-92,38.65),size = 20},
		{pos = Vector(-23,-91.7,38.65),size = 20},
		{pos = Vector(-25.5,-91,38.65),size = 20},
	},
		Turnsignal_sprites = { -- поворотники
		Left = { -- левый
			{pos =  Vector(-36.22,79.7,29.43),size = 40,color=Color(255,90,0,255),material="sprites/light_ignorez"},
			
			{pos = Vector(-29.2,-90.3,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(-31,-89.7,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(-33,-88.8,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(-35,-86.7,38.5),size=18,color=Color(255,90,0,255)},
			{pos = Vector(-36,-85.2,38.4),size=17,color=Color(255,90,0,255)},
			
			{pos = Vector(12.25,25.76,42.455),size=2,color=Color(70,255,0,255),material="sprites/light_ignorez"},
		},
		Right = { -- правый
			{pos =  Vector(36.22,79.7,29.43),size = 40,color=Color(255,90,0,255),material="sprites/light_ignorez"},
			
			{pos = Vector(29.2,-90.3,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(31,-89.7,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(33,-88.8,38.6),size=20,color=Color(255,90,0,255)},
			{pos = Vector(35,-86.7,38.5),size=18,color=Color(255,90,0,255)},
			{pos = Vector(36,-85.2,38.4),size=17,color=Color(255,90,0,255)},
			
			{pos = Vector(17.65,25.76,42.455),size=2,color=Color(70,255,0,255),material="sprites/light_ignorez"},
		},
	}
}
list.Set( "simfphys_lights", "hon_eg6", light_table) -- здесь тебе нужно изменить "test" на любое другое название, например "myfirstsimfcar"

local V = {
	Name = "Honda Civic Eg6", -- название машины в меню
	Model = "models/royscars/Honda/Honda_Civic_Si_94.mdl", -- модель машины (в вкладке дополнения и проп авто)
	Category = "Willi302's Cars", -- категория в которой будет машина

	Members = {
		Mass = 1200, -- масса авто

		LightsTable = "hon_eg6", -- название light_table

		AirFriction = -40000,

		FrontWheelRadius = 13,--радиус переднего колеса
		RearWheelRadius = 13,--радиус заднего колеса

		CustomMassCenter = Vector(0,0,-1), 

		SeatOffset = Vector(-5,0,-5), -- положение водительского сидения
		SeatPitch = 0,

		SpeedoMax = 100, -- какая максималка на спидометре(может работать криво)

		ModelInfo = {
			Skin = 3
		},
		
		PassengerSeats = { -- пассажирские места
			{
				pos = Vector(-17,-3,13),
				ang = Angle(0,0,14) -- Vector(ширина, длина, высота),
			},
			{
				pos = Vector(17,-43,15),
				ang = Angle(0,0,14) -- Vector(ширина, длина, высота),
			},
			{
				pos = Vector(-17,-43,15),
				ang = Angle(0,0,14) -- Vector(ширина, длина, высота),
			},
		},

		ExhaustPositions = { -- позиция выхлопа
        	{
                pos = Vector(20,-96.4,14.8),
                ang = Angle(90,-90,0),
        	},
        },

		StrengthenSuspension = false, -- жесткая подвеска.

		FrontHeight = 8, -- высота передней подвески
		FrontConstant = 43000,
		FrontDamping = 1000,
		FrontRelativeDamping = 1000,

		RearHeight = 8, -- высота задней подвески
		RearConstant = 43000,
		RearDamping = 1000,
		RearRelativeDamping = 1000,

		FastSteeringAngle = 20,
		SteeringFadeFastSpeed = 1000,

		TurnSpeed = 8,

		MaxGrip = 35,
		Efficiency = 1.2,
		GripOffset = -3,
		BrakePower = 60, -- сила торможения

		IdleRPM = 750, -- мин. кол-во оборотов
		LimitRPM = 9000, -- макс. кол-во оборотов
		Revlimiter = true, -- Если true - Когда стрелка спидометра доходит до красного обозначения, она не проходит дальше, если false - это игнорируется
		PeakTorque = 120, -- крутящий момент
		PowerbandStart = 800, -- какие обороты на нейтральной передаче
		PowerbandEnd = 8500, -- ограничение по оборотам
		Turbocharged = false, -- турбо false = нет, true = да
		Supercharged = false, -- супер заряд
		Backfire = false, -- стреляющий выхлоп

		FuelFillPos = Vector(-40,-73,40), -- положение заправки
		FuelType = FUELTYPE_PETROL, -- тип топлива
		FuelTankSize = 55, -- размер бака

		PowerBias = -1, -- привод. 1 - задний, 0 - полный, -1 - передний

		EngineSoundPreset = -1,
--
		snd_pitch = 1,
		snd_idle = "vehicles/sim_fphys_hon_eg6/idle.wav",

		snd_low = "vehicles/sim_fphys_hon_eg6/low.wav",
		snd_low_revdown = "vehicles/sim_fphys_hon_eg6/low.wav", -- это всё звук
		snd_low_pitch = 1,

		snd_mid = "vehicles/sim_fphys_hon_eg6/mid.wav",
		snd_mid_gearup = "vehicles/sim_fphys_hon_eg6/mid.wav",
		snd_mid_geardown = "vehicles/sim_fphys_hon_eg6/mid.wav",
		snd_mid_pitch = 0.7,

		snd_horn = "simulated_vehicles/horn_7.wav",

		snd_blowoff = "vehicles/tdmcars/s5/s5_throttle_off.wav",
--
		DifferentialGear = 0.35,
		Gears = {-0.2,0,0.2,0.3,0.4,0.5,0.6} -- кол-во передач и "мощность"
	}
}
if (file.Exists( "models/royscars/Honda/Honda_Civic_Si_94.mdl", "GAME" )) then -- путь модели (".mdl")
	list.Set( "simfphys_vehicles", "sim_fphys_hon_eg6", V ) -- изменить на люброе название(например sim_fphys_lalala)
end
